package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsRfidToken;

/**
 * rfid标识Service接口
 *
 * @author cgj
 * @date 2025-05-14
 */
public interface IIsRfidTokenService extends IService<IsRfidToken> {

    Page<IsRfidToken> getIsRfidTokenPage(Page<IsRfidToken> page, IsRfidToken isRfidToken);

    Boolean insertIsRfidToken(IsRfidToken isRfidToken);

    Boolean updateIsRfidToken(IsRfidToken isRfidToken);

    Boolean deleteIsRfidTokenByRfidIds(String rfidIds);

    Boolean insertIsRfidTokenByCabinet(IsRfidToken isRfidToken);

}
